SpriteLibrary

Sprite GetSpriteDegrees Method

Get the direction that the sprite is traveling in in degrees. You may want to use Math.Round on the results. The value returned is usually just a tiny bit off from what you set it with. For example, if you set the sprite movement direction to be 270 degrees (down), this function may return it as 269.999992. Rounding the number will give it back to you at probably the same direction you set it as.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public double GetSpriteDegrees()

#### Return Value

Type: Double
A double (it has a decimal place) that represents the direction in degrees
See Also

#### Reference

Sprite Class
SpriteLibrary Namespace